> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flynet.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Payment Intent

Returns the latest state for a Payment Intent. `status` is derived at
read time from the intent timestamps.

Auth: OAuth access token.

## Example

```bash theme={null}
curl https://api.staging.blackbird.xyz/flynet/v1/payment_intents/{uuid} \
  -H "Authorization: Bearer $ACCESS_TOKEN"
```

## Response

```json theme={null}
{
  "id": "{uuid}",
  "object": "payment_intent",
  "payer_account_balance_id": "{uuid}",
  "payee_account_balance_id": "{uuid}",
  "amount": { "value": "1000000000000000000", "currency": "FLY" },
  "description": "Event ticket",
  "status": "paid",
  "expires_at": null,
  "canceled_at": null,
  "paid_at": "2026-05-11T20:01:00Z",
  "refunded_at": null,
  "metadata": { "order_id": "12345" },
  "created_at": "2026-05-11T20:00:00Z",
  "updated_at": "2026-05-11T20:01:00Z"
}
```
